@import "variables.sass";

footer {
    background: $footer-background;
    height: 200px;

    .footer__content {
        width: 75%;
        margin: auto;
        padding-top: 4%;
    
        display: grid;
        grid-template: repeat(2, 0.5fr) / repeat(7, 1fr);
        
        &_adress {
            grid-column: 3 / 4;
            grid-row: 1 / 2;
        }
        
        &_mail{
            grid-column: 3 / 4;
            grid-row: 2 / span 2
        }
        
        &_license {
            grid-column: 6 / span 3;
            grid-row: 2 / span 2;
        }

    .footer__title {
        grid-column: 1 / 2;
        grid-row: 1 / 2;
        white-space: nowrap;

        &_text {
            font-family: 'Source Sans Pro', sans-serif;
            font-style: normal;
            font-weight: 400;
            font-size: 18px;
            line-height: 16px;
    
            letter-spacing: 0.2em;
            text-transform: uppercase;
    
            color: #FFFFFF;
        }

        &-smaller_logo {
            margin-right: 1%;
        }

    }


    .contacts {
        font-family: 'Source Sans Pro';
        font-style: normal;
        font-weight: 400;
        font-size: 16px;
        line-height: 19px;
    
        color: $contacts-color;
    
        a {
            text-decoration: none;
            border: none;
            
            color: $contacts-color;
        }
    }  

    
    }
}

